Module org.apache.sis.metadata
Package org.apache.sis.xml

# Enum Class XLink.Show

Object
Enum<XLink.Show>
Show

All Implemented Interfaces:
  `Serializable`, `Comparable<XLink​.Show>`, `Constable`

Enclosing class:
  `XLink`

public static enum XLink.Show extends Enum<XLink.Show>
Communicates the desired presentation of the ending resource on traversal from the starting resource.

Since:
  0.3
See Also:
  - `XLink​.getShow()`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class Enum

  `Enum​.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EMBED`
  Load ending resource in place of the presentation of the starting resource.
  `NEW`
  Load ending resource in a new window, frame, pane, or other presentation context.
  `NONE`
  Behavior is unconstrained.
  `OTHER`
  Behavior is unconstrained; examine other markup in the link for hints.
  `REPLACE`
  Load the resource in the same window, frame, pane, or other presentation context.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XLink​.Show`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static XLink​.Show[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEW

    public static final XLink.Show NEW
    Load ending resource in a new window, frame, pane, or other presentation context.

  - ### REPLACE

    public static final XLink.Show REPLACE
    Load the resource in the same window, frame, pane, or other presentation context.

  - ### EMBED

    public static final XLink.Show EMBED
    Load ending resource in place of the presentation of the starting resource.

  - ### OTHER

    public static final XLink.Show OTHER
    Behavior is unconstrained; examine other markup in the link for hints.

  - ### NONE

    public static final XLink.Show NONE
    Behavior is unconstrained.

- ## Method Details

  - ### values

    public static XLink.Show[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static XLink.Show valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null